locked
App-V 5 sp3 sequence adobe reader 9 however, SAP form scan to PDF prompt error RRS feed

  • Question

  • Dear All

    Recently I sequence Adobe reader 9 into virtual app and deploy into all desktop, however, adobe reader seem not able to integrate well with SAP GUI. When in SAP form, the desktop connect to EPSON scanner to scan document, it suppose to import the scan doc as pdf format into SAP form.

    However, I get the following error:

    The Adobe Acrobat/Reader that is running can not be used to view PDF files in Web Browser. Adobe Acrobat/Reader version 8 or 9 is required. Please exit and try again. 

    If the desktop install adobe reader version 9 locally, the above error will not appear. 

    Anyone encounter the same problem or have any solution for the above issue? 

    Regards

    Jazz


    • Edited by Jazzmyn Tuesday, January 19, 2016 9:02 AM
    Tuesday, January 19, 2016 9:01 AM

All replies

  • How is the SAP GUI packaged? Is it local install or virtual package?

    If SAP GUI is a virtual package then you need to create connection Group for both the packages.

    If SAP GUI is locally installed, then enable COM interaction in Adobe reader 9 virtual package.


    (Please click on "Vote as Helpful" and/or "Mark as Answer", if it has helped you.)

    app2pack.blogspot.com: app2pack.blogspot.com

    Tuesday, January 19, 2016 9:20 AM
  • Dear Vigneshwaran

    Thank for you quick respond. 

    The SAP GUI is local installed.

    I had tried to enable the setting in Advanced tab however the same error still occur. 

    Any other solution or things i need to take note? You have any step to follow during sequencing. 

    i found some article need to add exclusion, enable PVADcontrol. Those guide seem suitable for App-v 4.6. 

    Appreciate if anyone have any link to provide for me as reference. 

    I will re-generate the package again to test it. 

    Thank you

    Regards

    Jazz

    Tuesday, January 19, 2016 10:05 AM
  • I have blogged steps for Adobe Reader 11.0.09. May be you can try this steps.

    http://app2pack.blogspot.com/2015/09/virtualizing-adobe-reader-11009-using.html

    Can you try using RunVirtual or /appvve for SAP GUI with packaged Adobe reader for testing purpose.

    A simple way is to open the virtual bubble of the sequenced Adobe Reader by following the below steps.

    cmd.exe /appvve:<PACKAGEGUID_VERSIONGUID>

    This will open the virtual environment. Now launch the SAP GUI from here. It should work fine.

    Have you tried using Procmon to trace the issue?If so did you find any traces?

    Try publishing the package globally and test once.


    (Please click on "Vote as Helpful" and/or "Mark as Answer", if it has helped you.)

    app2pack.blogspot.com: app2pack.blogspot.com

    Tuesday, January 19, 2016 11:03 AM
  • Dear Vigneshwaran

    I follow the url to re sequence the virtual app packages for adobe reader, however the same error occur.  Procmon unable to detect any services when I capture the process when SAP form call to perform scan.

    I follow below link it prompt me error "The is a problem with adobe acrobat/reader. If it is running, please exit and try again (1:1). Procmon can see some virtual adobe reader services running.

    https://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/appvreaderDC.html

    I still find a ways to sequence.

    Open for any link a method to sequence adobe reader. I will also keep research to see and try.

    Thank you

    Best Regards

    J@ZZ


    • Edited by Jazzmyn Thursday, January 21, 2016 9:41 AM
    Thursday, January 21, 2016 9:41 AM
  • Did you try opening up the virtual bubble and launching the SAP shortcut from inside as I have mentioned above?

    (Please click on Vote as Helpful and/or Mark as Answer, if it has helped you.)

    Want to add MVP behind my name

    app2pack.blogspot.com: app2pack.blogspot.com

    Thursday, January 21, 2016 10:35 AM
  • I have a similar issue. We have SAP GUi installed locally and then Adobe Appv'd. When we try to PDF preview a PO in SAP we got the same error you have reported. After some investigation I found the following key HKEY_CLASSES_ROOT\SOFTWARE\Adobe\Acrobat\Exe needs to be in the registry and the default value points to the Adobe exe. This overcomes the problem if you set the value with the GUID id of the appv package which I dont want it to do. When I package the app the key is present when its sequenced but does not exsist when I deploy. 

    I'm a newbie to packaging with APPV and I cant understand why the path has to have the guid ID. 

    hope this helps.

    Wednesday, March 2, 2016 3:17 PM
  • Why not sequence SAP also, and combine them with a connection group? Otherwise go for runvirtual, and configure the sap exe to load the reader appv package.

    Roy Essers

    Thursday, March 3, 2016 9:35 AM
  • Jazzmyn,

    Does the suggestion from soulwaxer2 work for you?

    Monday, March 14, 2016 11:25 PM
    Moderator